### Setup Options: Animation tab

Setup Options dialog box-Animation tab

The Animation tab (Edit | Preferences | Setup) contains off-line animation and path line settings. In versions before PC-DMIS 2010 MR1 many of these settings were available only in the PC-DMIS Settings Editor.

- Scan area

- Execution area

- Pathlines area

Scan area

Collision Detection Percentage Animation: - This defines the percentage of probe animation that occurs during a collision detection operation.

- A value of 100 indicates that the display is redrawn at its maximum rate.

- A value of 0 indicates that the display is not redrawn at all.

- The default value is 50.

Execution Percentage Animation: - This defines the percentage of probe animation that occurs during normal program execution.

- A value of 100 indicates that the display is redrawn at its maximum rate.

- A value of 0 indicates that the display is not redrawn at all.

- The default value is 50.

Scan Animate Every N Pts: - This limits the number of points that are used for the animation. For example, if you set this value to 10, PC-DMIS will only take every 10th point, plus the first and last points. This value is used for probe animation during execution. The default value is 50.

Scan Animate Every N Pts Collision Detection: - This limits the number of points that are used for the collision detection animation. For example, if you set this value to 10, PC-DMIS will only take every 10th point, plus the first and last points. This value is used for probe animation during collision detection.

Execution area

Offline Timer Milliseconds Execute Next: - This sets the frequency of how often PC-DMIS processes commands during offline execution. This is a number of milliseconds. The default is 50.

Online Timer Milliseconds Execute Next: - This sets the frequency of how often PC-DMIS processes commands during online execution. This is a number of milliseconds. The default is 50.

For example if these are set to 1 then PC-DMIS would try to process a command during execution every millisecond.

Max animation speed (mm/sec): - This lets you define the maximum animation speed that the animated probe will use in the Graphics Display window during part program execution. The speed is in mm per second. You may find it useful to alter this value for complex part programs that cause the animation to render too slowly. To increase the duration between redrawn views of the animation, increase this value. This will cause fewer animation steps to be drawn.

Animation Speed %: - The slider allows you to quickly and easily adjust the actual percentage used of the Max animation speed value.

Changing Animation Speeds: If you want to further fine-tune your offline animation speeds, see "Executing and Debugging Part Programs Off-Line" in "Working in Off-line Mode".

Pathlines area

Comment Execute Override: - This check box determines whether or not COMMENT commands are executed when you generate path lines. If you mark this check box then they are executed. This check box is cleared by default.

Create Path Feature Count: - This box is used when you select View | Path Lines from Cursor. It defines how many features above and below the cursor location is used. For example, if you set this to 3, PC-DMIS would use three features above and three features below the cursor location. The default value is 1, meaning PC-DMIS will draw path lines for one feature preceding the current feature and one feature following the current feature. See "Showing, Animating, and Moving Path Lines" in the "Editing the CAD Display" chapter.

Path Lines Color RGB: - This box defines the color for generated path lines in the Graphics Display window. Clicking on the color opens up the standard Color dialog box, from which you can choose a new color.

Path Line Moving Enabled: - This check box determines whether or not path line moving is enabled. If marked, you can click on a path line to insert a MOVE/POINT command at that location. See "Moving Path Lines" in the "Editing the CAD Display" chapter.

Path Move Increment: - This defines the increment distance for moving path lines in the Move Path Line dialog box. See "Moving Path Lines" in the "Editing the CAD Display" chapter.

Path Move Selection Distance: - This determines the selection distance from a start and end point of a path line. If the Path Line Moving Enabled check box is marked, and you click on a path line within the specified distance inside the Graphics Display window, PC-DMIS will search for an existing MOVE/POINT command to modify instead of inserting a new MOVE/POINT command that splits the selected path line.